[quantal] Vcs-git: points to precise

Bug #1069204 reported by Andy Whitcroft on 2012-10-20
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Andy Whitcroft
Quantal
Medium
Andy Whitcroft

Bug Description

20:58:43 jtaylor | apt-get source linux-image* in quantal points to the precise git, not quantals

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: linux-image-3.5.0-17-generic 3.5.0-17.28
ProcVersionSignature: Ubuntu 3.5.0-17.28-generic 3.5.5
Uname: Linux 3.5.0-17-generic i686
NonfreeKernelModules: wl
ApportVersion: 2.6.1-0ubuntu3
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: apw 2398 F.... pulseaudio
CRDA: Error: command ['iw', 'reg', 'get'] failed with exit code 1: nl80211 not found.
Date: Sat Oct 20 21:39:51 2012
EcryptfsInUse: Yes
HibernationDevice: RESUME=UUID=b7bd40d9-6266-47fe-9a79-f6ad10b84998
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
MachineType: Acer AO533
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=10dbafb4-5a21-4665-88d4-2924132ca353 ro quiet splash "acpi_osi=!Windows 2009" initcall_debug log_buf_len=256K vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.5.0-17-generic N/A
 linux-backports-modules-3.5.0-17-generic N/A
 linux-firmware 1.95
SourcePackage: linux
UpgradeStatus: Upgraded to quantal on 2012-01-04 (290 days ago)
dmi.bios.date: 06/07/2010
dmi.bios.vendor: Acer
dmi.bios.version: V1.05
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: AO533
dmi.board.vendor: Acer
dmi.board.version: V1.05
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: V1.05
dmi.modalias: dmi:bvnAcer:bvrV1.05:bd06/07/2010:svnAcer:pnAO533:pvrV1.05:rvnAcer:rnAO533:rvrV1.05:cvnAcer:ct10:cvrV1.05:
dmi.product.name: AO533
dmi.product.version: V1.05
dmi.sys.vendor: Acer

Andy Whitcroft (apw) wrote :
Andy Whitcroft (apw) on 2012-10-20
Changed in linux (Ubuntu):
importance: Undecided → Medium
assignee: nobody → Andy Whitcroft (apw)
status: New → In Progress
Andy Whitcroft (apw) on 2012-10-20
Changed in linux (Ubuntu):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Quantal):
importance: Undecided → Medium
assignee: nobody → Andy Whitcroft (apw)
status: New → Fix Committed
Andy Whitcroft (apw) wrote :

Seems raring has the same issue. Fixed there also.

Herton R. Krzesinski (herton) wrote :

This bug is awaiting verification that the kernel in -proposed (3.5.0-19.30) solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-quantal' to 'verification-done-quantal'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-quantal
Herton R. Krzesinski (herton) wrote :

Output from apt-get source linux-image-3.5.0-18-generic:

Reading package lists...
Building dependency tree...
Reading state information...
Picking 'linux' as source package instead of 'linux-image-3.5.0-18-generic'
NOTICE: 'linux' packaging is maintained in the 'Git' version control system at:
http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-precise.git
Need to get 105 MB of source archives.
Get:1 http://br.archive.ubuntu.com/ubuntu/ quantal-updates/main linux 3.5.0-18.29 (dsc) [7944 B]
Get:2 http://br.archive.ubuntu.com/ubuntu/ quantal-updates/main linux 3.5.0-18.29 (tar) [102 MB]
Get:3 http://br.archive.ubuntu.com/ubuntu/ quantal-updates/main linux 3.5.0-18.29 (diff) [3175 kB]
...

Output from apt-get source linux-image-3.5.0-19-generic after deb-src proposed repository enabled and apt-get update:

Reading package lists...
Building dependency tree...
Reading state information...
Picking 'linux' as source package instead of 'linux-image-3.5.0-19-generic'
NOTICE: 'linux' packaging is maintained in the 'Git' version control system at:
http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-quantal.git
Skipping already downloaded file 'linux_3.5.0.orig.tar.gz'
Need to get 3185 kB of source archives.
Get:1 http://br.archive.ubuntu.com/ubuntu/ quantal-proposed/main linux 3.5.0-19.30 (dsc) [7944 B]
Get:2 http://br.archive.ubuntu.com/ubuntu/ quantal-proposed/main linux 3.5.0-19.30 (diff) [3178 kB]
...

Verification done.

tags: added: verification-done-quantal
removed: verification-needed-quantal

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.5.0-19.30

---------------
linux (3.5.0-19.30) quantal-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1078041

  [ Andy Whitcroft ]

  * [Config] update Vcs-git: to point to quantal
    - LP: #1069204

  [ Joseph Salisbury ]

  * SAUCE: ALSA: hda - add quirk for Thinkpad T430
    - LP: #1060372

  [ Tim Gardner ]

  * [Config] CONFIG_USB_OTG=n for all but armel/armhf
    - LP: #1047527
  * [Config] remove ndiswrapper from Provides:
    - LP: #1076395
  * [Config] ONFIG_AMD_IOMMU_V2=m
    - LP: #1071520

  [ Upstream Kernel Changes ]

  * kernel/sys.c: fix stack memory content leak via UNAME26
    - LP: #1065622, #1060521
    - CVE-2012-0957
  * use clamp_t in UNAME26 fix
    - LP: #1065622, #1060521
    - CVE-2012-0957
  * net: fix divide by zero in tcp algorithm illinois
    - LP: #1077091
    - CVE-2012-4565

  [ Wen-chien Jesse Sung ]

  * SAUCE: Bluetooth: Add a load_firmware callback to struct hci_dev
    - LP: #1065400
  * SAUCE: Bluetooth: Implement broadcom patchram firmware loader
    - LP: #1065400
  * SAUCE: Bluetooth: Add support for 13d3:3388 and 13d3:3389
    - LP: #1065400
 -- Luis Henriques <email address hidden> Tue, 13 Nov 2012 15:49:15 +0000

Changed in linux (Ubuntu Quantal):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers